/* $Id$ */
/* Copyright (c)1999 SAS Institute Inc, Cary NC USA 27513
 * Unpublished- All Rights Reserved.
 */
package com.sas.iom;
/**
 * JDBCConstants - interface for JDBC constants.
 */

public interface JDBCConstants {
    //ALL VARIABLE NAMES SHOULD BE UPPER CASE WITH
    //WORDS SEPARATED BY UNDERSCORE
    public static final String LIBREFS = "librefs";
    public static final String REMARKS = "remarks";
    public static final String USER = "user";
    public static final String USER_NAME = "userName";
    public static final String PASSWORD = "password";
    public static final String UNDO_POLICY_NONE = "undoPolicyNone";
    public static final String DBMS = "dbms";
    public static final String DBMS_OPTIONS = "dbmsOptions";
    public static final String APPLY_FORMATS = "applyFormats";
    public static final String APPLY_INFORMATS = "applyInformats";
    /* S0278967 constant */
    public static final String COERCE_NUMERIC_TYPES = "coercenumerictypes";

    //DEPRECATED. THE FOLLOWING VARIABLE NAMES ARE AVAILABLE TO 
    //USERS AND THEY DON'T FOLLOW THE STANDARD JAVA CONVENTION
    //I'M LEAVING THEM IN TO AVOID BREAKING LEGACY CODE, BUT
    //DOCUMENTATION WILL REFER TO THE NEWER NAMES AS THE 
    //APPROPRIATE USAGE.
    public static final String USERNAME = "userName";
    public static final String UNDOPOLICYNONE = "undoPolicyNone";
    public static final String APPLYFORMATS = "applyFormats";
    public static final String APPLYINFORMATS = "applyInformats";
    }