/* Copyright (c)1999 SAS Institute Inc, Cary NC USA 27513
 * Unpublished- All Rights Reserved.
 */
package com.sas.iom;
/**
 * LDAPConstants - interface for LDAP constants.
 */

public interface LDAPConstants {
    public static final String SECURITY_AUTHENTICATION = "authentication";
    public static final String SECURITY_PRINCIPAL = "ldapUserName";
    public static final String SECURITY_CREDENTIALS = "ldapPassword";
    public static final String BASE_CONTEXT = "baseDN";
    public static final String PROVIDER_URL = "ldapProviderUrl";
    public static final String LDAP_DBMD = "ldapDbmd";

    public static final String INITCTX = "com.sun.jndi.ldap.LdapCtxFactory";
    public static final String SASSERVERBASE = "cn=sasservers,sascomponent=sasServer,cn=SAS";
    public static final String SASLOGINBASE = "cn=saslogins,sascomponent=sasServer,cn=SAS";
    public static final String BASEDN = "o=SAS Institute,c=US";
    public static final String SASLOGICALNAME = "saslogicalname";
    public static final String SASMACHINEDNSNAME = "sasmachinednsname";
    public static final String SASLOGINNAME = "sasloginname";
    public static final String SASUSERPASSWORD = "sasuserpassword";
    public static final String SASPROTOCOL = "sasprotocol";
    public static final String SASPORT = "sasport";
    public static final String DESCRIPTION = "description";
    public static final String SASDOMAINNAME = "sasdomainname";
    public static final String SASREQUIREDENCRYPTIONLEVEL = "sasrequiredencryptionlevel";
    public static final String SASCLIENTENCRYPTIONALGORITHM = "sasclientencryptionalgorithm";
}