// Copyright (c) 2001 by SAS Institute Inc., Cary, NC 27513
package com.sas.net.brg;

import org.omg.CORBA.CompletionStatus;
import org.omg.CORBA.SystemException;
//
// History:
//
// Date    Name            Remarks
// 28Feb01 B Beers         S0110393: Add bind and server flow features.
// 23Aug01 B Beers         S0124519: Split socket driver code into SocketAccessMethod.
//
/**
 * @author Biff Beers
 */
public class UnexpectedUserException extends SystemException
{
     public UnexpectedUserException(String message,int status,String uuid)
     {
          super(message,status,CompletionStatus.COMPLETED_MAYBE);
          this.uuid = uuid;
     }

     private String uuid = null;

     protected String getUUID()
     {
          return uuid;
     }
}