package com.sas.net.brg.orb;

import java.util.Vector;

//
// History:
//
// Date    Name            Remarks
// 06Jan99 B Beers         Created.
//
/**
 * @author Biff Beers
 */
public class ExceptionList extends org.omg.CORBA.ExceptionList
{
     public int count()
     {
          int size = 0;

          if (list != null)
          {
               size = list.size();
          }

          return size;
     }

     public void add(org.omg.CORBA.TypeCode exc)
     {
          if (list == null)
          {
               list = new Vector();
          }

          list.addElement(exc);
     }

     public org.omg.CORBA.TypeCode item(int index) throws org.omg.CORBA.Bounds
     {
          if (list == null || index < 0 || index >= list.size())
          {
               throw new org.omg.CORBA.Bounds();
          }

          return (org.omg.CORBA.TypeCode)list.elementAt(index);
     }

     public void remove(int index) throws org.omg.CORBA.Bounds
     {
          if (list == null || index < 0 || index >= list.size())
          {
               throw new org.omg.CORBA.Bounds();
          }

          list.removeElementAt(index);
     }

     protected ExceptionList()
     {
     }

     private Vector list = null;
}