/* $Id: ClassIds.java,v 1.1.2.1 2006/07/07 00:23:59 brswee Exp $ */
/*
 * Created on Jun 29, 2006
 * Copyright (c) 2006 by SAS Institute Inc., Cary, NC 27513
 */
package com.sas.solutions.brm;

import com.sas.services.connection.BridgeServer;

/**
 * This class is just for CLASSIDs that are searched for in the OMR.
 * They are gathered from various sources, as noted in the comments.
 * @author davhan
 *
 */
public class ClassIds
{
    // davhan: I pulled this out of MachineDiscoverer.java in BRM, I don't know 
    // the original source.
    public static final String CLASSID_CONNECT_SERVER = "028e4060-d545-11d5-880d-aa0004006d06";
    
    // I am defining this group of constants here so as to get them directly
    // from their official source, and not indirectly through MetadataUtil
    // nor through MdOMIUtil (both of which go back to the Server class anyway).
    public static final String CLSID_SAS_WORKSPACE = BridgeServer.CLSID_SAS;
    public static final String CLSID_SASSTP_STOREDPROCESSSERVER = BridgeServer.CLSID_SASSTP;
    
    // This is also defined independently in MdOMIUtil and MetadataUtil.
    // Defining it here gets rid of a jar dependency that is not needed for
    // anything else.
    public static final String CLASSID_HTTP = "DAC0D7F0-10DA-11D6-8816-AA0004006D06" /*I18nOK:EMS*/;
    public static final String CLASSID_OLAP = "f3f46472-1e31-11d5-87c2-00c04f38f9f6" /*I18nOK:EMS*/;
    
}
