/*
 * Copyright (c) 2007 by SAS Institute Inc., Cary, NC 27513
 */
package com.sas.solutions.brm;

import java.rmi.RemoteException;

import com.sas.solutions.brm.errors.BRMInternalError;
import com.sas.solutions.brm.errors.BRMUserError;

public class RestoreTaskRunner extends TaskRunner
{
    public RestoreTaskRunner(BRMController controller, String host)
    {
        super(controller, host);
    }

    public boolean runCurrentTask()
        throws BRMUserError, BRMInternalError, RemoteException
    {
        return getAgent().restore();
    }
}
