package com.sas.solutions.brm.tar;

import org.apache.tools.ant.Project;
import org.apache.tools.ant.Target;
import org.apache.tools.ant.Task;

public class AntLogger {

    private Project project;
    public AntLogger(Project p) {
        project = p;
    }
    
    public void log(String message) {
        project.log(message);
    }
    public void log(String message, int level) {
        project.log(message, level);
    }
    public void log(Target target, String message, int level) {
        project.log(target, message, level);
    }
    public void log(Task task, String message, int level) {
        project.log(task, message, level);
    }
}
