/* Copyright (c)1999 SAS Institute Inc, Cary NC USA 27513
 * Unpublished- All Rights Reserved.
 */
package com.sas.util;
//
// History:
//
// Date    Name            Remarks
// 24Aug99 G Williams      Created.
// 27Feb02 B Beers         S0141718: Move to sas.core.jar.
//
/**
 * @author Gary Williams
 */
public class SasPasswordEncodingException extends ChainedException
{
     // constructors
     //---------------------------------------------------------
     /**
      * No-argument constructor.
      */
     public SasPasswordEncodingException()
     {
          super();
     }

     /**
      * Constructor with message.
      * @param message a message adding detail to the exception
      */
     public SasPasswordEncodingException(String message)
     {
          super(message);
     }

     /**
      * Wrapper constructor.
      * @param nestedException exception being wrapped
      */
     public SasPasswordEncodingException(Throwable nestedException)
     {
          super(nestedException,null);
     }

     /**
      * Wrapper constructor.
      * @param message a message to include in the exception.
      * @param nestedException an exception being wrapped.
      */
     public SasPasswordEncodingException(String message,Throwable nestedException)
     {
          super(nestedException,message);
     }
}
