/* $Id: WriteToPrintWriterInterface.java,v 1.1.4.1 2004/12/21 17:41:42 sasnxb Exp $ */
package com.sas.util;

import java.io.PrintWriter;
import java.io.IOException;

/**
 * Interface for Objects that write to a PrintWriter.
 * 
 * @version 1.0
 */
public interface WriteToPrintWriterInterface {

    /**
     * Writes the object to the specified output stream.
     * @param out The output stream
     * @exception java.io.IOException Thrown if some type of I/O error occurs
     */
    public void write(PrintWriter out) throws IOException;
}
