// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;


public class IntegerToBooleanTransform implements TransformInputOutputInterface
{
	static final long serialVersionUID = -5177381635600497812L;

	public static final IntegerToBooleanTransform defaultInstance = new IntegerToBooleanTransform();
	
	public Object transform( Object input )
	{
		if ( ((Integer)input).intValue() == 0 )
			return Boolean.FALSE;
		else
			return Boolean.TRUE;
	}

	public Class getInputClass()
	{
		return Integer.class;
	}

	public Class getOutputClass()
	{
		return Boolean.class;
	}
}
