// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;

public class NumberToByteTransform implements TransformInputOutputInterface
{
	public static final NumberToByteTransform defaultInstance = new NumberToByteTransform();

	public Object transform( Object value )
	{
		Number numValue = (Number) value;
		return new Byte( numValue.byteValue() );
	}

	public Class getInputClass()
	{
		return Number.class;
	}

	public Class getOutputClass()
	{
		return Byte.class;
	}
}
