// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;

public class NumberToIntegerTransform implements TransformInputOutputInterface
{
	public static final NumberToIntegerTransform defaultInstance = new NumberToIntegerTransform();

	public Object transform( Object value )
	{
		Number numValue = (Number) value;
		return new Integer( numValue.intValue() );
	}

	public Class getInputClass()
	{
		return Number.class;
	}

	public Class getOutputClass()
	{
		return Integer.class;
	}
}
