// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;

public class NumberToLongTransform implements TransformInputOutputInterface
{
	public static final NumberToLongTransform defaultInstance = new NumberToLongTransform();

	public Object transform( Object value )
	{
		Number numValue = (Number) value;
		return new Long( numValue.longValue() );
	}

	public Class getInputClass()
	{
		return Number.class;
	}

	public Class getOutputClass()
	{
		return Long.class;
	}
}
