// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;

public class NumberToShortTransform implements TransformInputOutputInterface
{
	public static final NumberToShortTransform defaultInstance = new NumberToShortTransform();

	public Object transform( Object value )
	{
		Number numValue = (Number) value;
		return new Short( numValue.shortValue() );
	}

	public Class getInputClass()
	{
		return Number.class;
	}

	public Class getOutputClass()
	{
		return Short.class;
	}
}
