package com.sas.util.transforms;

//import com.sas.util.transforms.TransformInputOutputInterface;
import java.util.ArrayList;

public class StringArrayToArrayListTransform implements TransformInputOutputInterface
{
//	static final long serialVersionUID = 7824439463353713215L;

	public static final StringArrayToArrayListTransform defaultInstance = new StringArrayToArrayListTransform();
	
	public Object transform( Object input )
	{
		String[] strings = (String[]) input;
		ArrayList arrayList = new ArrayList();
		for ( int i = 0; i < strings.length; i++)
		{
			arrayList.add(strings[i]);
		} // for
		
		return arrayList;
	}

	public Class getInputClass()
	{
		return String[].class;
	}

	public Class getOutputClass()
	{
		return ArrayList.class;
	}
}