/* $Id: StringArrayToListTransform.java,v 1.1.2.1.4.1 2004/12/03 21:14:51 sasbcl Exp $ */
package com.sas.util.transforms;

//import com.sas.util.transforms.TransformInputOutputInterface;
import java.util.ArrayList;
import java.util.List;

public class StringArrayToListTransform implements TransformInputOutputInterface
{
//	static final long serialVersionUID = 7824439463353713215L;

	public static final StringArrayToListTransform defaultInstance = new StringArrayToListTransform();
	
	public Object transform( Object input )
	{
		if ( input == null )
			return null;

		String[] strings = (String[]) input;
		ArrayList arrayList = new ArrayList();
		for ( int i = 0; i < strings.length; i++)
		{
			arrayList.add(strings[i]);
		} // for
		
		return arrayList;
	}

	public Class getInputClass()
	{
		return String[].class;
	}

	public Class getOutputClass()
	{
		return List.class;
	}
}