/* $Id: StringToListTransform.java,v 1.1.2.1.4.1 2004/12/03 21:14:52 sasbcl Exp $ */
package com.sas.util.transforms;

//import com.sas.util.transforms.TransformInputOutputInterface;
import java.util.ArrayList;
import java.util.List;

public class StringToListTransform implements TransformInputOutputInterface
{
//	static final long serialVersionUID = 7824439463353713215L;

	public static final StringToListTransform defaultInstance = new StringToListTransform();
	
	public Object transform( Object input )
	{
		if ( input == null )
			return null;

		ArrayList arrayList = new ArrayList();
		arrayList.add((String) input);
		
		return arrayList;
	}

	public Class getInputClass()
	{
		return String.class;
	}

	public Class getOutputClass()
	{
		return List.class;
	}
}