// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513

/**
 * TransformException is thrown when a transform method in
 * com.sas.util.TransformInterface fails
 * @author <A HREF="http://www.unx.sas.com/~sasdjb/Home.html">David J. Biesack</A>
 * @version 1.0
 */

/*
 * @support sasdjb
 * @history
 * <dl>
 * <dt>sasdjb Fri Apr 18 1997<dd>Created
 * </dl>
 */

package com.sas.util.transforms;

public class TransformException extends java.lang.Exception
{
	static final long serialVersionUID = 2381859934900312667L;

  ////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////

  /**
   * Default constructor
   */
  public TransformException()
  {
    super();
  }

  /**
   * Constructor for a TransformException with a message
   * @param message a String describing the transform error.
   */
  public TransformException(String message)
  {
    super(message);
  }

}
