// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.beans;

/**
 * Customizer is an extension of the <code>java.beans.Customizer</code>
 * class.  It provides the getObject() method so that the JavaBean
 * set with the standard setObject() method can be returned.
 */
public interface Customizer extends java.beans.Customizer
{
	/**
	 * Returns the object being customized.
	 * @return The object being customized.
	 */
	public Object getObject();
}
