// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513

package com.sas.lang;


/**
 * An interface for things that hold text
 * that can be queried by outsiders.
 * @author Ernest Pasour
 * @version 1.0
 * @history
 * <dl>
 * <dt>Fri Oct 11 1996  <dd>Created
 * </dl>
 */


public interface StringDataInterface
{
      
         /**
         * Retrieve the text stored in the text model
         * @return text stored in the model
         */
         public String getText();

   
     /**
         * Sets the text stored in the text model. 
         */
         public void setText(String newText);
}
