// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513

package com.sas.measures;
/**
 * UnitInfo is a utility class shared by several measure classes;
 * it maintains information about units: full names, abbreviations,
 * normalization factors.
 */

class UnitInfo
{
   String  name;      /* name of the units */
   int     id;        /* type of the units */
   double  normf;     /* normalization factor for unit conversion */
   String  longName;  /* long name of the units */
   
   public UnitInfo(String name, int id, double normf, String longName)
      {  this.name = name;  this.id = id; this.normf = normf; this.longName = longName; }
}
    
