package com.sas.net.brg.orb;

import java.util.Vector;

//
// History:
//
// Date    Name            Remarks
// 06Jan99 B Beers         Created.
//
/**
 * @author Biff Beers
 */
public class NVList extends org.omg.CORBA.NVList
{
     public int count()
     {
          int size = 0;

          if (list != null)
          {
		     size = list.size();
          }

          return size;
     }

     public org.omg.CORBA.NamedValue add(int flags)
     {
          return add_value(null,null,flags);
     }

     public org.omg.CORBA.NamedValue add_item(String item_name, int flags)
     {
          return add_value(item_name,null,flags);
     }

     public org.omg.CORBA.NamedValue add_value(String item_name,org.omg.CORBA.Any val,int flags)
     {
          if (list == null)
          {
               list = new Vector(count);
          }

          org.omg.CORBA.NamedValue nv = orb.create_named_value(item_name,val,flags);
          list.addElement(nv);
          return nv;
     }

     public org.omg.CORBA.NamedValue item(int index) throws org.omg.CORBA.Bounds
     {
          if (list == null || index < 0 || index >= list.size())
          {
               throw new org.omg.CORBA.Bounds();
          }

          return (org.omg.CORBA.NamedValue)list.elementAt(index);
     }

     public void remove(int index) throws org.omg.CORBA.Bounds
     {
          if (list == null || index < 0 || index >= list.size())
          {
               throw new org.omg.CORBA.Bounds();
          }

          list.removeElementAt(index);
     }

     protected NVList(org.omg.CORBA.ORB orb,int count)
     {
          this.orb = orb;
          this.count = count;
     }

     private org.omg.CORBA.ORB orb = null;
     private int count = 0;
     private Vector list = null;
}