/* $Id$ */
// Copyright (c) 2001 by SAS Institute Inc., Cary, NC 27513
package com.sas.net.brg.orb;

import java.util.Properties;
import java.util.logging.Logger;

import org.omg.CORBA.StringHolder;
//
// History:
//
// Date    Name            Remarks
// 28Feb01 B Beers         S0110393: Add bind and server flow features.
// 12Oct01 B Beers         S0129352: Remove connection sharing logic.
// 14Feb02 B Beers         S0139873: Added User Service authorization.
// 19Nov02 B Beers         S0169574: Revise password generation support.
// 29Jan04 B Beers         S0233579: Use logger associated with user that created factory.
/**
 * @author Biff Beers
 */
public interface ProtocolEngineInterface
{
     public abstract Properties getProperties();
     public abstract void setLogger(Logger logger);
     public abstract Logger getLogger();
     public abstract org.omg.CORBA.Object newRemoteObject(String classID);
     public abstract void generatePassword(String userName,StringHolder qualUserNameHolder,StringHolder genPasswordHolder);
     public abstract void close(boolean waitForCompletion);
}