// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513

/**
 * IESecurity
 *
 * Implementation for Internet Explorer security scheme
 */

package com.sas.security.ie;

import com.sas.security.BaseVendorSecurity;
import com.sas.security.MethodVVInterface;
import com.sas.security.MethodVLInterface;

public class IESecurity extends BaseVendorSecurity
{
	public boolean AllowAll(MethodVVInterface mInterface) throws Exception
	{
		// Now invoke the method so that it is on the call stack
		mInterface.SecurityMethodVV();
		return true;
	}

	public boolean AllowAll(MethodVLInterface mInterface, Object p1) throws Exception
	{
		// Now invoke the method so that it is on the call stack
		mInterface.SecurityMethodVL(p1);
		return true;
	}

}
