package com.sas.services.connection;
//
// History:
//
// Date    Name            Remarks
// 06Jun03 B Beers         S0204214: Streamline auth checking for pooling factories.
//
/**
 * A utility class for managing the user cache.
 * @author Biff Beers
 */
public class UserCacheUtil
{
     protected static void pruneCache(ConnectionFactoryKernel kernel,Credential user)
     {
          kernel.removeUserFromCache(user);
     }
}