package com.sas.solutions.brm.errors;


public interface ErrorReportingInterface {
    
    /*
     * This is the interface through which recoverable errors should 
     * be reported upwards to the UI of BRM.
     * 
     *  See the logging facilities.
     */
    public void reportError(Throwable t, String messageKey, String hostname);
    public void reportWarning(String message, String hostname);
}
