// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;

public class BooleanNotTransform implements TransformInputOutputInterface
{
	public static final BooleanNotTransform defaultInstance = new BooleanNotTransform();

	public Object transform( Object value )
	{
		Boolean bool = (Boolean) value;
		if ( bool.equals( Boolean.FALSE ) )
		{
			return Boolean.TRUE;
		}
		return Boolean.FALSE;
	}


	public Class getInputClass()
	{
		return Boolean.class;
	}

	public Class getOutputClass()
	{
		return Boolean.class;
	}
}
