// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;


public class HexStringToIntegerTransform implements TransformInterface
{
	static final long serialVersionUID = -7681083045880089173L;

	public static final HexStringToIntegerTransform defaultInstance = new HexStringToIntegerTransform();
	
	public Object transform( Object input )
	{
		String value = (String) input;
		if ( value == null )
			return "0";
		else
			return Integer.valueOf(value, 16);
	}
}
