// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;


public class IntegerToHexStringTransform implements TransformInterface
{
	static final long serialVersionUID = -1563424639935026368L;

	public static final IntegerToHexStringTransform defaultInstance = new IntegerToHexStringTransform();
	
	public Object transform( Object input )
	{
		int value = ((Integer)input).intValue();
		return Integer.toHexString(value);
	}
}
