// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;

public class NumberToDoubleTransform implements TransformInputOutputInterface
{
	public static final NumberToDoubleTransform defaultInstance = new NumberToDoubleTransform();

	public Object transform( Object value )
	{
		Number numValue = (Number) value;
		return new Double( numValue.doubleValue() );
	}

	public Class getInputClass()
	{
		return Number.class;
	}

	public Class getOutputClass()
	{
		return Double.class;
	}
}
