// Copyright (c) 1998 by SAS Institute Inc., Cary, NC 27513


package com.sas.util.transforms;

public class NumberToFloatTransform implements TransformInputOutputInterface
{
	public static final NumberToFloatTransform defaultInstance = new NumberToFloatTransform();

	public Object transform( Object value )
	{
		Number numValue = (Number) value;
		return new Float( numValue.floatValue() );
	}

	public Class getInputClass()
	{
		return Number.class;
	}

	public Class getOutputClass()
	{
		return Float.class;
	}
}
